Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics-usagestats-report-results.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics-usagestats-report-results.component.ts	(revision 52044)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics-usagestats-report-results.component.ts	(revision 52045)
@@ -1,9 +1,9 @@
 import { Component, OnInit } from '@angular/core';
 import { ActivatedRoute } from '@angular/router';
-import { Http, RequestOptions, Headers } from '@angular/http';
 import { AuthenticationService } from '../../services/authentication.service';
 import { UsagestatsService } from '../../services/usagestats.service';
 import { ReportResponse } from '../../domain/usageStatsClasses';
+import {ar1_report_results} from "../../domain/sushilite_demo_data/AR1_ex";
 
 @Component({
   selector: 'metrics-usagestats-report-results',
@@ -12,19 +12,26 @@
 export class MetricsUsagestatsReportResultsComponent implements OnInit {
 
   errorMessage: string;
-  repoResponse: ReportResponse;
 
+  repoResponse = ar1_report_results['ReportResponse'];
+  coveredPeriod: string;
+
   constructor(private route: ActivatedRoute,
               private authService: AuthenticationService,
               private usageService: UsagestatsService) {}
 
   ngOnInit() {
-    this.getReportResponse();
+    //this.getReportResponse();
+    if (this.repoResponse.Report && this.repoResponse.ReportDefinition.Filters.UsageDateRange &&
+      this.repoResponse.ReportDefinition.Filters.UsageDateRange.Begin && this.repoResponse.ReportDefinition.Filters.UsageDateRange.End) {
+      this.coveredPeriod = this.repoResponse.ReportDefinition.Filters.UsageDateRange.Begin + ' to ' + this.repoResponse.ReportDefinition.Filters.UsageDateRange.End;
+    } else {
+      let defaultDatePeriod = this.repoResponse.Exception.filter(x => x['Message'] === 'Unspecified Date Arguments');
+      this.coveredPeriod = defaultDatePeriod[0].Data.split(':')[1].trim() + ' to ' + defaultDatePeriod[1].Data.split(':')[1].trim() + ' (default)';
+    }
   }
 
   getReportResponse() {
-    let headers = new Headers({ 'Content-Type': 'application/json' });
-    let httpOptions = new RequestOptions({ headers: headers });
     let params = new URLSearchParams();
 
     this.route.queryParams.subscribe( qparams => {
@@ -34,10 +41,15 @@
       params.append('BeginDate', qparams['beginDate']);
       params.append('EndDate', qparams['endDate']);
       params.append('RepositoryIdentifier', qparams['repoId']);
-      params.append('ItemIdentifier', qparams['itemIdentifier']);
+      if (qparams['itemIdentifier']) {
+        params.append('ItemIdentifier', qparams['itemIdentifier']);
+      }
+      if (qparams['itemDataType']) {
+        params.append('ItemDataType', qparams['itemIdentifier']);
+      }
       params.append('Granularity', qparams['granularity']);
-      if (qparams['pretty']) {
-        params.append('Pretty', '');
+      if (qparams['pretty'] && qparams['pretty']==='true') {
+        params.append('Pretty', 'Pretty');
       }
     });
 
@@ -47,6 +59,15 @@
       },
       error => {
         this.errorMessage = 'Failed to load the report results!';
+      },
+      () => {
+        if (this.repoResponse.Report && this.repoResponse.ReportDefinition.Filters.UsageDateRange &&
+          this.repoResponse.ReportDefinition.Filters.UsageDateRange.Begin && this.repoResponse.ReportDefinition.Filters.UsageDateRange.End) {
+          this.coveredPeriod = this.repoResponse.ReportDefinition.Filters.UsageDateRange.Begin + ' to ' + this.repoResponse.ReportDefinition.Filters.UsageDateRange.End;
+        } else {
+          let defaultDatePeriod = this.repoResponse.Exception.filter(x => x['Message'] === 'Unspecified Date Arguments');
+          this.coveredPeriod = defaultDatePeriod[0].Data.split(':')[1].trim() + ' to ' + defaultDatePeriod[1].Data.split(':')[1].trim() + ' (default)';
+        }
       }
     );
 
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics-usagestats.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics-usagestats.component.ts	(revision 52044)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics-usagestats.component.ts	(revision 52045)
@@ -96,23 +96,8 @@
   }
 
   goToReport() {
-    this.errorMessage = '';
-    if ( this.beginDate && this.endDate ) {
-      /*    let params = new URLSearchParams();
-          if (this.pretty) {
-            params.append('Pretty', 'Pretty');
-          }
-          params.append('Report', this.chosen_report);
-          params.append('Release', '4');
-          params.append('RequestorID', this.userEmail);
-          params.append('BeginDate', this.beginDate);
-          params.append('EndDate', this.endDate);
-          params.append('RepositoryIdentifier', this.shownRepoId);
-          params.append('ItemIdentifier', this.itemIdentifier);
-          params.append('Granularity', this.granularity);
-          let url = `http://beta.services.openaire.eu/usagestats/sushilite/GetReport/?${params}`;
-          window.open(url,"_blank");*/
-
+    /* additional field: */
+    /*itemIdentifier: this.repo.piwikInfo.openaireId,*/
       this.router.navigate(['/getImpact/usagestats-report-results'], {
         queryParams: {
           report: this.chosen_report,
@@ -119,16 +104,11 @@
           beginDate: this.beginDate,
           endDate: this.endDate,
           repoId: this.shownRepoId,
-          itemIdentifier: this.itemIdentifier,
+          itemDataType: this.itemDataType,
           granularity: this.granularity,
           pretty: this.pretty
         }
       })
-
-    } else {
-      this.errorMessage = 'You need to choose a date range!';
-    }
-
   }
 
 }
Index: modules/uoa-repository-dashboard-gui/trunk/app/app.routing.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/app.routing.ts	(revision 52044)
+++ modules/uoa-repository-dashboard-gui/trunk/app/app.routing.ts	(revision 52045)
@@ -39,7 +39,7 @@
   {
     path: 'getImpact',
     loadChildren: './pages/metrics/metrics.module#MetricsModule',
-    canActivate: [AuthGuardService]
+    //canActivate: [AuthGuardService]
   },
   {
     path: 'admin',
